v1.0
delete
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/lots/blinded-lots/{id}
Removes blinded lot by study ID and blinded lot ID. Rights: LotManagementDelete.
Request
Path Parameters
-
id(required): string(UUID)
ID of blinded lot.Example:
B1B8327AFAA6412287106192AB5984EF -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- */*
200 Response
Successful operation
Root Schema : BlindedLotId
Type:
objectContains blinded lot id.
Show Source
-
id: string
(uuid)
Unique Id for blinded lot.
403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Blinded lot not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object